package com.bocloud.ims.interfaces.resource.fusionsphere;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.PortGroup;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSpherePortGroupService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/26 15:06
 */
public interface FusionSpherePortGroupService {

    BocloudResult<GridBean<PortGroup>> list(Pager pager, RequestContext context);

    BocloudResult<PortGroup> detail(Long id, RequestContext context);

    BocloudResult<Void> create(PortGroup entityParams, RequestContext context);

    BocloudResult<Void> modify(PortGroup modifyParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

}